# Poco::Data::ODBC

# class ODBCMetaColumn

Library: Data/ODBC
Package: ODBC
Header: Poco/Data/ODBC/ODBCMetaColumn.h

## Inheritance

Direct Base Classes: Poco::Data::MetaColumn

All Base Classes: Poco::Data::MetaColumn

## Member Summary

Member Functions: dataLength, isUnsigned

Inherited Functions: isNullable, length, name, operator =, position, precision, setLength, setName, setNullable, setPrecision, setType, swap, type

## Constructors

### ODBCMetaColumn

explicit ODBCMetaColumn(
const StatementHandle & rStmt,
std::size_t position
);

Creates the ODBCMetaColumn.

## Destructor

### ~ODBCMetaColumn

~ODBCMetaColumn();

Destroys the ODBCMetaColumn.

## Member Functions

### dataLength

std::size_t dataLength() const;

A numeric value that is either the maximum or actual character length of a character string or binary data type. It is the maximum character length for a fixed-length data type, or the actual character length for a variable-length data type. Its value always excludes the null-termination byte that ends the character string. This information is returned from the SQL_DESC_LENGTH record field of the IRD.

### isUnsigned

bool isUnsigned() const;

Returns true if column is unsigned or a non-numeric data type.